Bug 1872841 - [sig-cluster-lifecycle] Cluster completes upgrade: Some ingresscontrollers are degraded: default
Summary: [sig-cluster-lifecycle] Cluster completes upgrade: Some ingresscontrollers ar...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
: 4.6.0
Assignee: Miciah Dashiel Butler Masters
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-26 17:34 UTC by Douglas Smith
Modified: 2020-09-03 08:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-cluster-lifecycle] Cluster completes upgrade
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 448 None closed Bug 1872841: Allow operator to update cluster roles 2020-09-08 18:49:52 UTC

Description Douglas Smith 2020-08-26 17:34:07 UTC
test:
[sig-cluster-lifecycle] Cluster completes upgrade 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-cluster-lifecycle%5C%5D+Cluster+completes+upgrade


https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-upgrade-4.5-stable-to-4.6-ci/1298224662781628416

----------------------

[sig-arch][Feature:ClusterUpgrade] Cluster should remain functional during upgrade [Disruptive] [Serial] [Suite:openshift] expand_less	2h37m26s
fail [github.com/openshift/origin@/test/e2e/upgrade/upgrade.go:139]: during upgrade to registry.svc.ci.openshift.org/ocp/release:4.6.0-0.ci-2020-08-24-152549
Unexpected error:
    <*errors.errorString | 0xc001e7e5a0>: {
        s: "Cluster did not complete upgrade: timed out waiting for the condition: Cluster operator ingress is reporting a failure: Some ingresscontrollers are degraded: default",
    }
    Cluster did not complete upgrade: timed out waiting for the condition: Cluster operator ingress is reporting a failure: Some ingresscontrollers are degraded: default
occurred

Comment 1 W. Trevor King 2020-08-26 18:02:49 UTC
"Some ingresscontrollers are degraded: default" doesn't point the finger clearly at a different component, so assigning to the ingress folks.

Comment 2 mfisher 2020-08-27 16:11:46 UTC
Target set to 4.7 while investigation is either ongoing or not yet started.  Will be considered for earlier release versions when diagnosed and resolved.

Comment 4 W. Trevor King 2020-08-31 19:33:35 UTC
Pulling back to 4.6 to pick up the in-flight fix.


Note You need to log in before you can comment on or make changes to this bug.